<?php

/**
 * Class SocketConnException
 * 在socket时如果出现错误,则抛出此异常
 */
class SocketConnException extends Exception
{
    public function __construct($message, $code = 0) {
        parent::__construct($message, $code);
    }

    public function __toString() {
        return __CLASS__.':['.$this->code.']:'.$this->message.'\n';
    }
}